package com.kmall.admin.entity.mk.store;

import java.io.Serializable;
import java.util.Date;

/**
 * 门店推广渠道实体
 * 表名 mk_store_prom_chnl
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 15:52:20
 */
public class MkStorePromChnlEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 推广渠道ID
     */
    private Integer promChnlId;
    /**
     * 推广名称
     */
    private String promChnName;
    /**
     * 门店id
     */
    private Integer storeId;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：推广渠道ID
     */
    public void setPromChnlId(Integer promChnlId) {
        this.promChnlId = promChnlId;
    }

    /**
     * 获取：推广渠道ID
     */
    public Integer getPromChnlId() {
        return promChnlId;
    }
    /**
     * 设置：推广名称
     */
    public void setPromChnName(String promChnName) {
        this.promChnName = promChnName;
    }

    /**
     * 获取：推广名称
     */
    public String getPromChnName() {
        return promChnName;
    }
    /**
     * 设置：门店id
     */
    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取：门店id
     */
    public Integer getStoreId() {
        return storeId;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
